{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTTestRulesEditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTestRulesEditView.json",
  "name" : "TESTTestRulesEditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "TestRules",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/TestRules.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "测试值规则",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItemVRs" : [ {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule7",
        "name" : "field6值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condOp" : "AND",
            "condType" : "GROUP",
            "name" : "[条件组]AND",
            "getPSDEFVRConditions" : [ {
              "condOp" : "NOTEQ",
              "condType" : "SIMPLE",
              "dEFName" : "FIELD6",
              "name" : "[常规条件] 不等于(<>) (20)",
              "paramValue" : "20"
            }, {
              "condOp" : "GT",
              "condType" : "SIMPLE",
              "dEFName" : "FIELD6",
              "name" : "[常规条件] 大于(>) (5)",
              "paramValue" : "5"
            } ],
            "ruleInfo" : ">5并且不等于20"
          } ],
          "ruleInfo" : ">5并且不等于20"
        },
        "ruleInfo" : ">5并且不等于20",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field6",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule6",
        "name" : "field5值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condType" : "SYSVALUERULE",
            "dEFName" : "FIELD5",
            "name" : "[系统值规则]脚本值规则测试",
            "getPSSysValueRule" : {
              "codeName" : "ValueRule20",
              "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule20.json",
              "name" : "脚本值规则测试",
              "ruleInfo" : "脚本校验",
              "ruleType" : "SCRIPT",
              "scriptCode" : "console.log(data);\nconsole.log(value);\nreturn false;",
              "enableBackend" : true,
              "enableFront" : true
            },
            "ruleInfo" : "脚本校验"
          } ],
          "ruleInfo" : "脚本校验"
        },
        "ruleInfo" : "脚本校验",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field5",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule3",
        "name" : "field2值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condType" : "REGEX",
            "dEFName" : "FIELD2",
            "name" : "[正则式](^[0-9]*$)",
            "regExCode" : "^[0-9]*$",
            "ruleInfo" : "只能写数字"
          } ],
          "ruleInfo" : "只能写数字"
        },
        "ruleInfo" : "只能写数字",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field2",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule9",
        "name" : "field8值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condOp" : "AND",
            "condType" : "GROUP",
            "name" : "[条件组]AND",
            "getPSDEFVRConditions" : [ {
              "condOp" : "AND",
              "condType" : "GROUP",
              "name" : "[条件组]AND",
              "getPSDEFVRConditions" : [ {
                "condOp" : "GT",
                "condType" : "SIMPLE",
                "dEFName" : "FIELD8",
                "name" : "[常规条件] 大于(>) (20)",
                "paramValue" : "20"
              }, {
                "condOp" : "NOTEQ",
                "condType" : "SIMPLE",
                "dEFName" : "FIELD8",
                "name" : "[常规条件] 不等于(<>) (30)",
                "paramValue" : "30"
              } ]
            }, {
              "condOp" : "OR",
              "condType" : "GROUP",
              "name" : "[条件组]OR",
              "getPSDEFVRConditions" : [ {
                "condOp" : "GT",
                "condType" : "SIMPLE",
                "dEFName" : "FIELD8",
                "name" : "[常规条件] 大于(>) (35)",
                "paramValue" : "35"
              }, {
                "condOp" : "LIKE",
                "condType" : "SIMPLE",
                "dEFName" : "FIELD8",
                "name" : "[常规条件] 文本包含(%) (2)",
                "paramValue" : "2"
              } ]
            } ],
            "ruleInfo" : "20<field8并且不等于30，并且在35以上或者文本包含2"
          } ],
          "ruleInfo" : "20<field8并且不等于30，并且在35以上或者文本包含2"
        },
        "ruleInfo" : "20<field8并且不等于30，并且在35以上或者文本包含2",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field8",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule4",
        "name" : "field3值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condType" : "STRINGLENGTH",
            "dEFName" : "FIELD3",
            "maxValue" : 15,
            "minValue" : 5,
            "name" : "[字符长度] 大于等于 5 且  小于等于 15",
            "ruleInfo" : "5<=field3字符长度<=15",
            "includeMaxValue" : true,
            "includeMinValue" : true
          } ],
          "ruleInfo" : "5<=field3字符长度<=15"
        },
        "ruleInfo" : "5<=field3字符长度<=15",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field3",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule8",
        "name" : "field7值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condOp" : "OR",
            "condType" : "GROUP",
            "name" : "[条件组]OR",
            "getPSDEFVRConditions" : [ {
              "condType" : "VALUERANGE2",
              "dEFName" : "FIELD7",
              "maxValue" : 20.0,
              "minValue" : 10.0,
              "name" : "[数值范围] 大于等于 10.0 且  小于等于 20.0",
              "ruleInfo" : "数值必须大于等于[10.0]且小于等于[20.0]",
              "includeMaxValue" : true,
              "includeMinValue" : true
            }, {
              "condType" : "VALUERANGE2",
              "dEFName" : "FIELD7",
              "maxValue" : 40.0,
              "minValue" : 30.0,
              "name" : "[数值范围] 大于等于 30.0 且  小于等于 40.0",
              "ruleInfo" : "数值必须大于等于[30.0]且小于等于[40.0]",
              "includeMaxValue" : true,
              "includeMinValue" : true
            } ],
            "ruleInfo" : "(数值必须大于等于[10.0]且小于等于[20.0] 或者 数值必须大于等于[30.0]且小于等于[40.0])"
          } ],
          "ruleInfo" : "(数值必须大于等于[10.0]且小于等于[20.0] 或者 数值必须大于等于[30.0]且小于等于[40.0])"
        },
        "ruleInfo" : "(数值必须大于等于[10.0]且小于等于[20.0] 或者 数值必须大于等于[30.0]且小于等于[40.0])",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field7",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule2",
        "name" : "field值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condType" : "VALUERANGE2",
            "dEFName" : "FIELD",
            "maxValue" : 20.0,
            "minValue" : 10.0,
            "name" : "[数值范围] 大于等于 10.0 且  小于等于 20.0",
            "ruleInfo" : "10<=field<=20",
            "includeMaxValue" : true,
            "includeMinValue" : true
          } ],
          "ruleInfo" : "10<=field<=20"
        },
        "ruleInfo" : "10<=field<=20",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule5",
        "name" : "field4值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condType" : "SYSVALUERULE",
            "dEFName" : "FIELD4",
            "name" : "[系统值规则]URL",
            "getPSSysValueRule" : {
              "codeName" : "ValueRule17",
              "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule17.json",
              "name" : "URL",
              "regExCode" : "[a-zA-z]+://(\\w+(-\\w+)*)(\\.(\\w+(-\\w+)*))*(\\?\\S*)?",
              "ruleInfo" : "内容必须为有效URL格式",
              "ruleType" : "REG",
              "enableBackend" : true,
              "enableFront" : true
            },
            "ruleInfo" : "内容必须为有效URL格式"
          } ],
          "ruleInfo" : "内容必须为有效URL格式"
        },
        "ruleInfo" : "内容必须为有效URL格式",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "field4",
      "valueRuleType" : "DEFVALUERULE"
    }, {
      "checkMode" : 3,
      "name" : "表单项值规则",
      "getPSDEFValueRule" : {
        "codeName" : "ValueRule",
        "name" : "amount值规则",
        "getPSDEFVRGroupCondition" : {
          "condOp" : "AND",
          "condType" : "GROUP",
          "name" : "默认组",
          "getPSDEFVRConditions" : [ {
            "condOp" : "EQ",
            "condType" : "SIMPLE",
            "dEFName" : "AMOUNT",
            "name" : "[常规条件] 等于(=) (100)",
            "paramType" : "SRCENTITYFIELD",
            "paramValue" : "100",
            "ruleInfo" : "amount等于100"
          } ],
          "ruleInfo" : "amount等于100"
        },
        "ruleInfo" : "amount等于100",
        "checkDefault" : false,
        "defaultMode" : false,
        "enableBackend" : true,
        "enableFront" : true
      },
      "getPSDEFormItemName" : "amount",
      "valueRuleType" : "DEFVALUERULE"
    } ],
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "formitem",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "amount",
      "dataType" : 6,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "id" : "field",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "id" : "field2",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "id" : "field3",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      }
    }, {
      "id" : "field4",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      }
    }, {
      "id" : "field5",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      }
    }, {
      "id" : "field6",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD6",
        "codeName" : "Field6"
      }
    }, {
      "id" : "field7",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD7",
        "codeName" : "Field7"
      }
    }, {
      "id" : "field8",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD8",
        "codeName" : "Field8"
      }
    }, {
      "id" : "testid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "建立时间",
        "codeName" : "formitem",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "formitem",
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : false,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "属性值规则",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "常规条件",
          "codeName" : "grouppanel1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel1",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem1",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem1",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "金额=100",
              "contentType" : "RAW",
              "name" : "rawitem1",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "金额=100",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "金额",
            "codeName" : "amount",
            "dataType" : 6,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "amount",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "AMOUNT",
              "codeName" : "Amount"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxValue" : 10000.0,
              "minValue" : 19.0,
              "name" : "amount",
              "precision" : 2
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "unitName" : "元",
            "allowEmpty" : true,
            "enableUnitName" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "数值范围",
          "codeName" : "grouppanel2",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel2",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem2",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem2",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "10<=field<=20",
              "contentType" : "RAW",
              "name" : "rawitem2",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "10<=field<=20",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性",
            "codeName" : "field",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD",
              "codeName" : "Field"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "正则",
          "codeName" : "grouppanel3",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel3",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem3",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem3",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "只能写数字",
              "contentType" : "RAW",
              "name" : "rawitem3",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "只能写数字",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性2",
            "codeName" : "field2",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field2",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD2",
              "codeName" : "Field2"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field2"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "字符长度",
          "codeName" : "grouppanel4",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel4",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem4",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem4",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "5<=field3字符长度<=15",
              "contentType" : "RAW",
              "name" : "rawitem4",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "5<=field3字符长度<=15",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性3",
            "codeName" : "field3",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field3",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD3",
              "codeName" : "Field3"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field3"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "系统值规则",
          "codeName" : "grouppanel5",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel5",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem5",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem5",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "有效url",
              "contentType" : "RAW",
              "name" : "rawitem5",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "有效url",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性4",
            "codeName" : "field4",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field4",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD4",
              "codeName" : "Field4"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field4"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "codeName" : "rawitem6",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem6",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "脚本值规则",
              "contentType" : "RAW",
              "name" : "rawitem6",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "脚本值规则",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性5",
            "codeName" : "field5",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field5",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD5",
              "codeName" : "Field5"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field5"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "测试各种组合清空",
        "codeName" : "grouppanel6",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel6",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "AND",
          "codeName" : "grouppanel7",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel7",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem7",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem7",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : ">5 并且不等于20",
              "contentType" : "RAW",
              "name" : "rawitem7",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : ">5 并且不等于20",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性6",
            "codeName" : "field6",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field6",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD6",
              "codeName" : "Field6"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field6"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "OR",
          "codeName" : "grouppanel8",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel8",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem8",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem8",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "10到20 或者 30到40",
              "contentType" : "RAW",
              "name" : "rawitem8",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "10到20 或者 30到40",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性7",
            "codeName" : "field7",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field7",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD7",
              "codeName" : "Field7"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field7"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "caption" : "AND+OR",
          "codeName" : "grouppanel9",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "grouppanel9",
          "getPSDEFormDetails" : [ {
            "codeName" : "rawitem9",
            "contentType" : "RAW",
            "detailStyle" : "DEFAULT",
            "detailType" : "RAWITEM",
            "name" : "rawitem9",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "caption" : "20<field8并且不等于30，并且在35以上或者文本包含2",
              "contentType" : "RAW",
              "name" : "rawitem9",
              "rawItemHeight" : -1.0,
              "rawItemWidth" : -1.0
            },
            "rawContent" : "20<field8并且不等于30，并且在35以上或者文本包含2",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0,
            "showCaption" : true
          }, {
            "caption" : "属性8",
            "codeName" : "field8",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field8",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD8",
              "codeName" : "Field8"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field8"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "测试实体标识",
        "codeName" : "testid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "testid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "testid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "7B47734B-2D57-44E6-A6B0-045EE4FFB8A7",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "TestRulesEditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（默认编辑界面）",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.SAVE]",
        "refFlag" : true
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.SAVE]",
          "refFlag" : true
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.SAVE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.SAVE]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存并新建",
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
        "refFlag" : true
      },
      "caption" : "保存并新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4"
      },
      "getPSSysImage" : {
        "cssClass" : "sx-tb-saveandnew"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "caption" : "保存并新建",
        "codeName" : "SaveAndNew",
        "fullCodeName" : "SaveAndNew",
        "name" : "编辑界面_保存并新建操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandnew"
        },
        "predefinedType" : "EDITVIEW_SAVEANDNEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndNew",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存并新建",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
        "refFlag" : true
      },
      "caption" : "保存并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5"
      },
      "getPSSysImage" : {
        "cssClass" : "sx-tb-saveandclose"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "保存并关闭",
        "codeName" : "SaveAndExit",
        "fullCodeName" : "SaveAndExit",
        "name" : "编辑界面_保存并退出操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem6",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
        "refFlag" : true
      },
      "caption" : "删除并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem7",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem7"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "删除并关闭",
        "codeName" : "RemoveAndExit",
        "fullCodeName" : "RemoveAndExit",
        "name" : "编辑界面_删除并退出操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "EDITVIEW_REMOVEANDEXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "RemoveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem8",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.NEW]",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem12",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem12"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.NEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem13",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TEXT.*.COPY",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.COPY]",
        "refFlag" : true
      },
      "caption" : "拷贝",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem14",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem14"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c5@FontAwesome",
        "cssClass" : "fa fa-copy"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TEXT.*.COPY",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.COPY]",
          "refFlag" : true
        },
        "caption" : "拷贝",
        "codeName" : "Copy",
        "fullCodeName" : "Copy",
        "name" : "编辑界面_拷贝操作",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "predefinedType" : "EDITVIEW_COPYACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TOOLTIP.*.COPY",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.COPY]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Copy",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "拷贝",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TOOLTIP.*.COPY",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.COPY]",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem16",
      "spanMode" : false
    }, {
      "caption" : "第一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem23",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem23"
      },
      "getPSSysImage" : {
        "glyph" : "xf049@FontAwesome",
        "cssClass" : "fa fa-fast-backward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "第一个记录",
        "codeName" : "FirstRecord",
        "fullCodeName" : "FirstRecord",
        "name" : "编辑界面_第一个记录",
        "getPSSysImage" : {
          "glyph" : "xf049@FontAwesome",
          "cssClass" : "fa fa-fast-backward"
        },
        "predefinedType" : "EDITVIEW_FIRSTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "FirstRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "第一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "上一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem24",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem24"
      },
      "getPSSysImage" : {
        "glyph" : "xf048@FontAwesome",
        "cssClass" : "fa fa-step-backward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "上一个记录",
        "codeName" : "PrevRecord",
        "fullCodeName" : "PrevRecord",
        "name" : "编辑界面_上一个记录",
        "getPSSysImage" : {
          "glyph" : "xf048@FontAwesome",
          "cssClass" : "fa fa-step-backward"
        },
        "predefinedType" : "EDITVIEW_PREVRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "PrevRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "上一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "下一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem25",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem25"
      },
      "getPSSysImage" : {
        "glyph" : "xf051@FontAwesome",
        "cssClass" : "fa fa-step-forward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "下一个记录",
        "codeName" : "NextRecord",
        "fullCodeName" : "NextRecord",
        "name" : "编辑界面_下一个记录",
        "getPSSysImage" : {
          "glyph" : "xf051@FontAwesome",
          "cssClass" : "fa fa-step-forward"
        },
        "predefinedType" : "EDITVIEW_NEXTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "NextRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "下一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "最后一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem26",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem26"
      },
      "getPSSysImage" : {
        "glyph" : "xf050@FontAwesome",
        "cssClass" : "fa fa-fast-forward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "最后一个记录",
        "codeName" : "LastRecord",
        "fullCodeName" : "LastRecord",
        "name" : "编辑界面_最后一个记录",
        "getPSSysImage" : {
          "glyph" : "xf050@FontAwesome",
          "cssClass" : "fa fa-fast-forward"
        },
        "predefinedType" : "EDITVIEW_LASTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "LastRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "最后一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem21",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TEXT.*.HELP",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.HELP]",
        "refFlag" : true
      },
      "caption" : "帮助",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem22",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem22"
      },
      "getPSSysImage" : {
        "glyph" : "xf128@FontAwesome",
        "cssClass" : "fa fa-question"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TEXT.*.HELP",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.HELP]",
          "refFlag" : true
        },
        "caption" : "帮助",
        "codeName" : "Help",
        "fullCodeName" : "Help",
        "name" : "编辑界面_帮助操作",
        "getPSSysImage" : {
          "glyph" : "xf128@FontAwesome",
          "cssClass" : "fa fa-question"
        },
        "predefinedType" : "EDITVIEW_HELPACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TOOLTIP.*.HELP",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.HELP]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Help",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "帮助",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TOOLTIP.*.HELP",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.HELP]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "form",
    "modelid" : "a4eb00b17f8652bdf677cb4ed5231e63",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "TestRulesEditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "TestRulesEditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TestRulesEditView",
  "getPSDEViewId" : "B4405632-818C-468C-A6F3-990D5F8B62A4",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "d153823e3abb5d6cea98219e53eaef15",
  "modeltype" : "PSAPPDEVIEW"
}